aboutsummaryrefslogtreecommitdiff
path: root/tests/tcpsource.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tcpsource.sh')
-rwxr-xr-xtests/tcpsource.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests/tcpsource.sh b/tests/tcpsource.sh
new file mode 100755
index 0000000..f3527a6
--- /dev/null
+++ b/tests/tcpsource.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+P=$1
+PORT=$((P))
+if [ ${PORT} -lt 1 ]; then
+ echo "usage: $0 <port>" 1>&2
+ exit 1
+fi
+
+yes abcdefghijklmnopqrstuvwxyz | nc localhost ${PORT} > /dev/null